#include <iostream.h>
#include <ACG.h>
#include "EmpiricalDiscrete.h"
#include "EmpiricalContinuous.h"
#include "EmpiricalIntegral.h"

// Distributions
extern const DoubleDistElement *HttpPrimaryRequestDistTable;
extern int HttpPrimaryRequestDistLength;

int main(int argc, char **argv)
{
    if (argc != 3) {
	cout << "usage:  " << argv[0] << " num seed\n";
	exit(1);
    }

    int n = atoi(argv[1]);
    int s = atoi(argv[2]);

    ACG rng(s);

    static EmpiricalIntegral
      HttpPrimaryRequestDist(HttpPrimaryRequestDistLength,
			     HttpPrimaryRequestDistTable,
			     &rng);

    int i;
    for (i = 0; i < n; i++) {
	cout << HttpPrimaryRequestDist() << "\n";
    }

}
